Bug 1645205 - rhel 7.6 container cannot update from Satellite 6
Summary: rhel 7.6 container cannot update from Satellite 6
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: subscription-manager
Version: 7.6
Hardware: Unspecified
OS: Unspecified
urgent
urgent
Target Milestone: pre-dev-freeze
: 7.7
Assignee: candlepin-bugs
QA Contact: Red Hat subscription-manager QE Team
URL:
Whiteboard:
: 1654414 (view as bug list)
Depends On:
Blocks: 1186913 1646867 1648020 1648263 1648479 1650481 1688348
TreeView+ depends on / blocked
 
Reported: 2018-11-01 15:44 UTC by Paul Dudley
Modified: 2019-09-30 12:53 UTC (History)
23 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
: 1646867 1648020 1650481 (view as bug list)
Environment:
Last Closed: 2019-08-06 12:57:25 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github candlepin subscription-manager pull 1960 0 None closed 1645205: Do not update ent certs inside containers 2020-04-15 10:05:50 UTC
Red Hat Knowledge Base (Solution) 3674021 0 None None None 2018-11-01 18:15:50 UTC
Red Hat Product Errata RHBA-2019:2008 0 None None None 2019-08-06 12:57:48 UTC

Description Paul Dudley 2018-11-01 15:44:55 UTC
Description of problem:
The new rhel 7.6:latest docker image cannot update against Satellite 6. The image can update against the CDN without issue.

The subscription-manager yum plugin is removing the entitlement certificates:
[root@6261007e4031 /]# ll -R /run/secrets/etc-pki-entitlement/
/run/secrets/etc-pki-entitlement/:
total 16
-rwx------. 1 root root 1679 Nov  1 15:41 7016097620284974224-key.pem
-rwx------. 1 root root 8404 Nov  1 15:41 7016097620284974224.pem

[root@6261007e4031 /]# yum repolist
Loaded plugins: ovl, product-id, search-disabled-repos, subscription-manager
1 local certificate has been deleted.
...

[root@6261007e4031 /]# ll -R /run/secrets/etc-pki-entitlement/
/run/secrets/etc-pki-entitlement/:
total 0

Version-Release number of selected component (if applicable):
registry.access.redhat.com/rhel7:7.6-115
Satellite 6.4

How reproducible:
100 %

Steps to Reproduce:
 - register docker host to Satellite 6
 - build latest image and run yum command

Actual results:
The image deletes the certificates and cannot retrieve content

Expected results:
The image retrieves the same repolist as the host and content can be updated/installed

Comment 13 Alberto Gonzalez de Dios 2018-11-29 09:13:48 UTC
*** Bug 1654414 has been marked as a duplicate of this bug. ***

Comment 15 Craig Donnelly 2019-05-02 14:52:22 UTC
VERIFIED against 'rhel-server-container' -> rhel7:7.7-155

[root@013ec903747c /]# rpm -q subscription-manager
subscription-manager-1.24.4-1.el7.x86_64

Items were installable from the Satellite 6.4 environment, and entitlements persisted from host to container:

[root@dhcp-8-30-234 containers]# podman run -t -i --rm brew/rhel7:7.7-155
Trying to pull brew/rhel7:7.7-155...Getting image source signatures
Skipping fetch of repeat blob sha256:db0f9eb528501a64a0da4ac8edf21eac74ccf19a6c099824d1edf7ca3af72052
Skipping fetch of repeat blob sha256:e64ccda3382d896954eed7bd14a6a55f9104720eb969589b51beb1567a1f7645
Copying config sha256:4729bce762e205bf2ffe24e6ecb7ae06ad8fb30ef8e3a3a08ca8228590c12adf
 6.18 KB / 6.18 KB [========================================================] 0s
Writing manifest to image destination
Storing signatures
[root@013ec903747c /]# yum install vim -y
Loaded plugins: ovl, product-id, search-disabled-repos, subscription-manager
rhel-7-server-rpms                                                                            | 2.0 kB  00:00:00     
(1/3): rhel-7-server-rpms/7Server/x86_64/group                                                | 639 kB  00:00:00     
(2/3): rhel-7-server-rpms/7Server/x86_64/updateinfo                                           | 3.0 MB  00:00:00     
(3/3): rhel-7-server-rpms/7Server/x86_64/primary                                              |  35 MB  00:00:00     
rhel-7-server-rpms                                                                                       24121/24121
Resolving Dependencies
--> Running transaction check
---> Package vim-enhanced.x86_64 2:7.4.160-5.el7 will be installed
--> Processing Dependency: vim-common = 2:7.4.160-5.el7 for package: 2:vim-enhanced-7.4.160-5.el7.x86_64
--> Processing Dependency: perl(:MODULE_COMPAT_5.16.3) for package: 2:vim-enhanced-7.4.160-5.el7.x86_64
--> Processing Dependency: libperl.so()(64bit) for package: 2:vim-enhanced-7.4.160-5.el7.x86_64
--> Processing Dependency: libgpm.so.2()(64bit) for package: 2:vim-enhanced-7.4.160-5.el7.x86_64
--> Running transaction check
---> Package gpm-libs.x86_64 0:1.20.7-5.el7 will be installed
---> Package perl.x86_64 4:5.16.3-294.el7_6 will be installed
--> Processing Dependency: perl(Socket) >= 1.3 for package: 4:perl-5.16.3-294.el7_6.x86_64
--> Processing Dependency: perl(Scalar::Util) >= 1.10 for package: 4:perl-5.16.3-294.el7_6.x86_64
--> Processing Dependency: perl-macros for package: 4:perl-5.16.3-294.el7_6.x86_64
--> Processing Dependency: perl(threads::shared) for package: 4:perl-5.16.3-294.el7_6.x86_64
--> Processing Dependency: perl(threads) for package: 4:perl-5.16.3-294.el7_6.x86_64
--> Processing Dependency: perl(constant) for package: 4:perl-5.16.3-294.el7_6.x86_64
--> Processing Dependency: perl(Time::Local) for package: 4:perl-5.16.3-294.el7_6.x86_64
--> Processing Dependency: perl(Time::HiRes) for package: 4:perl-5.16.3-294.el7_6.x86_64
--> Processing Dependency: perl(Storable) for package: 4:perl-5.16.3-294.el7_6.x86_64
--> Processing Dependency: perl(Socket) for package: 4:perl-5.16.3-294.el7_6.x86_64
--> Processing Dependency: perl(Scalar::Util) for package: 4:perl-5.16.3-294.el7_6.x86_64
--> Processing Dependency: perl(Pod::Simple::XHTML) for package: 4:perl-5.16.3-294.el7_6.x86_64
--> Processing Dependency: perl(Pod::Simple::Search) for package: 4:perl-5.16.3-294.el7_6.x86_64
--> Processing Dependency: perl(Getopt::Long) for package: 4:perl-5.16.3-294.el7_6.x86_64
--> Processing Dependency: perl(Filter::Util::Call) for package: 4:perl-5.16.3-294.el7_6.x86_64
--> Processing Dependency: perl(File::Temp) for package: 4:perl-5.16.3-294.el7_6.x86_64
--> Processing Dependency: perl(File::Spec::Unix) for package: 4:perl-5.16.3-294.el7_6.x86_64
--> Processing Dependency: perl(File::Spec::Functions) for package: 4:perl-5.16.3-294.el7_6.x86_64
--> Processing Dependency: perl(File::Spec) for package: 4:perl-5.16.3-294.el7_6.x86_64
--> Processing Dependency: perl(File::Path) for package: 4:perl-5.16.3-294.el7_6.x86_64
--> Processing Dependency: perl(Exporter) for package: 4:perl-5.16.3-294.el7_6.x86_64
--> Processing Dependency: perl(Cwd) for package: 4:perl-5.16.3-294.el7_6.x86_64
--> Processing Dependency: perl(Carp) for package: 4:perl-5.16.3-294.el7_6.x86_64
---> Package perl-libs.x86_64 4:5.16.3-294.el7_6 will be installed
---> Package vim-common.x86_64 2:7.4.160-5.el7 will be installed
--> Processing Dependency: vim-filesystem for package: 2:vim-common-7.4.160-5.el7.x86_64
--> Running transaction check
---> Package perl-Carp.noarch 0:1.26-244.el7 will be installed
---> Package perl-Exporter.noarch 0:5.68-3.el7 will be installed
---> Package perl-File-Path.noarch 0:2.09-2.el7 will be installed
---> Package perl-File-Temp.noarch 0:0.23.01-3.el7 will be installed
---> Package perl-Filter.x86_64 0:1.49-3.el7 will be installed
---> Package perl-Getopt-Long.noarch 0:2.40-3.el7 will be installed
--> Processing Dependency: perl(Pod::Usage) >= 1.14 for package: perl-Getopt-Long-2.40-3.el7.noarch
--> Processing Dependency: perl(Text::ParseWords) for package: perl-Getopt-Long-2.40-3.el7.noarch
---> Package perl-PathTools.x86_64 0:3.40-5.el7 will be installed
---> Package perl-Pod-Simple.noarch 1:3.28-4.el7 will be installed
--> Processing Dependency: perl(Pod::Escapes) >= 1.04 for package: 1:perl-Pod-Simple-3.28-4.el7.noarch
--> Processing Dependency: perl(Encode) for package: 1:perl-Pod-Simple-3.28-4.el7.noarch
---> Package perl-Scalar-List-Utils.x86_64 0:1.27-248.el7 will be installed
---> Package perl-Socket.x86_64 0:2.010-4.el7 will be installed
---> Package perl-Storable.x86_64 0:2.45-3.el7 will be installed
---> Package perl-Time-HiRes.x86_64 4:1.9725-3.el7 will be installed
---> Package perl-Time-Local.noarch 0:1.2300-2.el7 will be installed
---> Package perl-constant.noarch 0:1.27-2.el7 will be installed
---> Package perl-macros.x86_64 4:5.16.3-294.el7_6 will be installed
---> Package perl-threads.x86_64 0:1.87-4.el7 will be installed
---> Package perl-threads-shared.x86_64 0:1.43-6.el7 will be installed
---> Package vim-filesystem.x86_64 2:7.4.160-5.el7 will be installed
--> Running transaction check
---> Package perl-Encode.x86_64 0:2.51-7.el7 will be installed
---> Package perl-Pod-Escapes.noarch 1:1.04-294.el7_6 will be installed
---> Package perl-Pod-Usage.noarch 0:1.63-3.el7 will be installed
--> Processing Dependency: perl(Pod::Text) >= 3.15 for package: perl-Pod-Usage-1.63-3.el7.noarch
--> Processing Dependency: perl-Pod-Perldoc for package: perl-Pod-Usage-1.63-3.el7.noarch
---> Package perl-Text-ParseWords.noarch 0:3.29-4.el7 will be installed
--> Running transaction check
---> Package perl-Pod-Perldoc.noarch 0:3.20-4.el7 will be installed
--> Processing Dependency: perl(parent) for package: perl-Pod-Perldoc-3.20-4.el7.noarch
--> Processing Dependency: perl(HTTP::Tiny) for package: perl-Pod-Perldoc-3.20-4.el7.noarch
--> Processing Dependency: groff-base for package: perl-Pod-Perldoc-3.20-4.el7.noarch
---> Package perl-podlators.noarch 0:2.5.1-3.el7 will be installed
--> Running transaction check
---> Package groff-base.x86_64 0:1.22.2-8.el7 will be installed
---> Package perl-HTTP-Tiny.noarch 0:0.033-3.el7 will be installed
---> Package perl-parent.noarch 1:0.225-244.el7 will be installed
--> Finished Dependency Resolution

Dependencies Resolved

=====================================================================================================================
 Package                          Arch             Version                        Repository                    Size
=====================================================================================================================
Installing:
 vim-enhanced                     x86_64           2:7.4.160-5.el7                rhel-7-server-rpms           1.0 M
Installing for dependencies:
 gpm-libs                         x86_64           1.20.7-5.el7                   rhel-7-server-rpms            32 k
 groff-base                       x86_64           1.22.2-8.el7                   rhel-7-server-rpms           942 k
 perl                             x86_64           4:5.16.3-294.el7_6             rhel-7-server-rpms           8.0 M
 perl-Carp                        noarch           1.26-244.el7                   rhel-7-server-rpms            19 k
 perl-Encode                      x86_64           2.51-7.el7                     rhel-7-server-rpms           1.5 M
 perl-Exporter                    noarch           5.68-3.el7                     rhel-7-server-rpms            28 k
 perl-File-Path                   noarch           2.09-2.el7                     rhel-7-server-rpms            27 k
 perl-File-Temp                   noarch           0.23.01-3.el7                  rhel-7-server-rpms            56 k
 perl-Filter                      x86_64           1.49-3.el7                     rhel-7-server-rpms            76 k
 perl-Getopt-Long                 noarch           2.40-3.el7                     rhel-7-server-rpms            56 k
 perl-HTTP-Tiny                   noarch           0.033-3.el7                    rhel-7-server-rpms            38 k
 perl-PathTools                   x86_64           3.40-5.el7                     rhel-7-server-rpms            83 k
 perl-Pod-Escapes                 noarch           1:1.04-294.el7_6               rhel-7-server-rpms            51 k
 perl-Pod-Perldoc                 noarch           3.20-4.el7                     rhel-7-server-rpms            87 k
 perl-Pod-Simple                  noarch           1:3.28-4.el7                   rhel-7-server-rpms           216 k
 perl-Pod-Usage                   noarch           1.63-3.el7                     rhel-7-server-rpms            27 k
 perl-Scalar-List-Utils           x86_64           1.27-248.el7                   rhel-7-server-rpms            36 k
 perl-Socket                      x86_64           2.010-4.el7                    rhel-7-server-rpms            49 k
 perl-Storable                    x86_64           2.45-3.el7                     rhel-7-server-rpms            77 k
 perl-Text-ParseWords             noarch           3.29-4.el7                     rhel-7-server-rpms            14 k
 perl-Time-HiRes                  x86_64           4:1.9725-3.el7                 rhel-7-server-rpms            45 k
 perl-Time-Local                  noarch           1.2300-2.el7                   rhel-7-server-rpms            24 k
 perl-constant                    noarch           1.27-2.el7                     rhel-7-server-rpms            19 k
 perl-libs                        x86_64           4:5.16.3-294.el7_6             rhel-7-server-rpms           688 k
 perl-macros                      x86_64           4:5.16.3-294.el7_6             rhel-7-server-rpms            44 k
 perl-parent                      noarch           1:0.225-244.el7                rhel-7-server-rpms            12 k
 perl-podlators                   noarch           2.5.1-3.el7                    rhel-7-server-rpms           112 k
 perl-threads                     x86_64           1.87-4.el7                     rhel-7-server-rpms            49 k
 perl-threads-shared              x86_64           1.43-6.el7                     rhel-7-server-rpms            39 k
 vim-common                       x86_64           2:7.4.160-5.el7                rhel-7-server-rpms           5.9 M
 vim-filesystem                   x86_64           2:7.4.160-5.el7                rhel-7-server-rpms            10 k

Transaction Summary
=====================================================================================================================
Install  1 Package (+31 Dependent packages)

Total download size: 19 M
Installed size: 63 M
Downloading packages:
warning: /var/cache/yum/x86_64/7Server/rhel-7-server-rpms/packages/gpm-libs-1.20.7-5.el7.x86_64.rpm: Header V3 RSA/SHA256 Signature, key ID fd431d51: NOKEY
Public key for gpm-libs-1.20.7-5.el7.x86_64.rpm is not installed
(1/32): gpm-libs-1.20.7-5.el7.x86_64.rpm                                                      |  32 kB  00:00:00     
(2/32): groff-base-1.22.2-8.el7.x86_64.rpm                                                    | 942 kB  00:00:00     
(3/32): perl-Carp-1.26-244.el7.noarch.rpm                                                     |  19 kB  00:00:00     
(4/32): perl-5.16.3-294.el7_6.x86_64.rpm                                                      | 8.0 MB  00:00:00     
(5/32): perl-Encode-2.51-7.el7.x86_64.rpm                                                     | 1.5 MB  00:00:00     
(6/32): perl-File-Path-2.09-2.el7.noarch.rpm                                                  |  27 kB  00:00:00     
(7/32): perl-Exporter-5.68-3.el7.noarch.rpm                                                   |  28 kB  00:00:00     
(8/32): perl-File-Temp-0.23.01-3.el7.noarch.rpm                                               |  56 kB  00:00:00     
(9/32): perl-Filter-1.49-3.el7.x86_64.rpm                                                     |  76 kB  00:00:00     
(10/32): perl-Getopt-Long-2.40-3.el7.noarch.rpm                                               |  56 kB  00:00:00     
(11/32): perl-HTTP-Tiny-0.033-3.el7.noarch.rpm                                                |  38 kB  00:00:00     
(12/32): perl-PathTools-3.40-5.el7.x86_64.rpm                                                 |  83 kB  00:00:00     
(13/32): perl-Pod-Escapes-1.04-294.el7_6.noarch.rpm                                           |  51 kB  00:00:00     
(14/32): perl-Pod-Perldoc-3.20-4.el7.noarch.rpm                                               |  87 kB  00:00:00     
(15/32): perl-Pod-Simple-3.28-4.el7.noarch.rpm                                                | 216 kB  00:00:00     
(16/32): perl-Pod-Usage-1.63-3.el7.noarch.rpm                                                 |  27 kB  00:00:00     
(17/32): perl-Scalar-List-Utils-1.27-248.el7.x86_64.rpm                                       |  36 kB  00:00:00     
(18/32): perl-Socket-2.010-4.el7.x86_64.rpm                                                   |  49 kB  00:00:00     
(19/32): perl-Storable-2.45-3.el7.x86_64.rpm                                                  |  77 kB  00:00:00     
(20/32): perl-Text-ParseWords-3.29-4.el7.noarch.rpm                                           |  14 kB  00:00:00     
(21/32): perl-Time-HiRes-1.9725-3.el7.x86_64.rpm                                              |  45 kB  00:00:00     
(22/32): perl-Time-Local-1.2300-2.el7.noarch.rpm                                              |  24 kB  00:00:00     
(23/32): perl-constant-1.27-2.el7.noarch.rpm                                                  |  19 kB  00:00:00     
(24/32): perl-macros-5.16.3-294.el7_6.x86_64.rpm                                              |  44 kB  00:00:00     
(25/32): perl-libs-5.16.3-294.el7_6.x86_64.rpm                                                | 688 kB  00:00:00     
(26/32): perl-parent-0.225-244.el7.noarch.rpm                                                 |  12 kB  00:00:00     
(27/32): perl-podlators-2.5.1-3.el7.noarch.rpm                                                | 112 kB  00:00:00     
(28/32): perl-threads-1.87-4.el7.x86_64.rpm                                                   |  49 kB  00:00:00     
(29/32): perl-threads-shared-1.43-6.el7.x86_64.rpm                                            |  39 kB  00:00:00     
(30/32): vim-enhanced-7.4.160-5.el7.x86_64.rpm                                                | 1.0 MB  00:00:00     
(31/32): vim-filesystem-7.4.160-5.el7.x86_64.rpm                                              |  10 kB  00:00:00     
(32/32): vim-common-7.4.160-5.el7.x86_64.rpm                                                  | 5.9 MB  00:00:00     
---------------------------------------------------------------------------------------------------------------------
Total                                                                                 11 MB/s |  19 MB  00:00:01     
Retrieving key from file:///etc/pki/rpm-gpg/RPM-GPG-KEY-redhat-release
Importing GPG key 0xFD431D51:
 Userid     : "Red Hat, Inc. (release key 2) <security@redhat.com>"
 Fingerprint: 567e 347a d004 4ade 55ba 8a5f 199e 2f91 fd43 1d51
 Package    : redhat-release-server-7.7-6.el7.x86_64 (@anaconda/7.7)
 From       : /etc/pki/rpm-gpg/RPM-GPG-KEY-redhat-release
Importing GPG key 0x2FA658E0:
 Userid     : "Red Hat, Inc. (auxiliary key) <security@redhat.com>"
 Fingerprint: 43a6 e49c 4a38 f4be 9abf 2a53 4568 9c88 2fa6 58e0
 Package    : redhat-release-server-7.7-6.el7.x86_64 (@anaconda/7.7)
 From       : /etc/pki/rpm-gpg/RPM-GPG-KEY-redhat-release
Running transaction check
Running transaction test
Transaction test succeeded
Running transaction
  Installing : 2:vim-filesystem-7.4.160-5.el7.x86_64                                                            1/32 
  Installing : 2:vim-common-7.4.160-5.el7.x86_64                                                                2/32 
  Installing : gpm-libs-1.20.7-5.el7.x86_64                                                                     3/32 
  Installing : groff-base-1.22.2-8.el7.x86_64                                                                   4/32 
  Installing : 1:perl-parent-0.225-244.el7.noarch                                                               5/32 
  Installing : perl-HTTP-Tiny-0.033-3.el7.noarch                                                                6/32 
  Installing : perl-podlators-2.5.1-3.el7.noarch                                                                7/32 
  Installing : perl-Pod-Perldoc-3.20-4.el7.noarch                                                               8/32 
  Installing : 1:perl-Pod-Escapes-1.04-294.el7_6.noarch                                                         9/32 
  Installing : perl-Encode-2.51-7.el7.x86_64                                                                   10/32 
  Installing : perl-Text-ParseWords-3.29-4.el7.noarch                                                          11/32 
  Installing : perl-Pod-Usage-1.63-3.el7.noarch                                                                12/32 
  Installing : 4:perl-libs-5.16.3-294.el7_6.x86_64                                                             13/32 
  Installing : 4:perl-macros-5.16.3-294.el7_6.x86_64                                                           14/32 
  Installing : perl-Storable-2.45-3.el7.x86_64                                                                 15/32 
  Installing : perl-Exporter-5.68-3.el7.noarch                                                                 16/32 
  Installing : perl-constant-1.27-2.el7.noarch                                                                 17/32 
  Installing : perl-Time-Local-1.2300-2.el7.noarch                                                             18/32 
  Installing : perl-Socket-2.010-4.el7.x86_64                                                                  19/32 
  Installing : perl-Carp-1.26-244.el7.noarch                                                                   20/32 
  Installing : 4:perl-Time-HiRes-1.9725-3.el7.x86_64                                                           21/32 
  Installing : perl-PathTools-3.40-5.el7.x86_64                                                                22/32 
  Installing : perl-Scalar-List-Utils-1.27-248.el7.x86_64                                                      23/32 
  Installing : 1:perl-Pod-Simple-3.28-4.el7.noarch                                                             24/32 
  Installing : perl-File-Temp-0.23.01-3.el7.noarch                                                             25/32 
  Installing : perl-File-Path-2.09-2.el7.noarch                                                                26/32 
  Installing : perl-threads-shared-1.43-6.el7.x86_64                                                           27/32 
  Installing : perl-threads-1.87-4.el7.x86_64                                                                  28/32 
  Installing : perl-Filter-1.49-3.el7.x86_64                                                                   29/32 
  Installing : perl-Getopt-Long-2.40-3.el7.noarch                                                              30/32 
  Installing : 4:perl-5.16.3-294.el7_6.x86_64                                                                  31/32 
  Installing : 2:vim-enhanced-7.4.160-5.el7.x86_64                                                             32/32 
rhel-7-server-rpms/7Server/x86_64/productid                                                   | 2.1 kB  00:00:00     
  Verifying  : perl-HTTP-Tiny-0.033-3.el7.noarch                                                                1/32 
  Verifying  : 2:vim-enhanced-7.4.160-5.el7.x86_64                                                              2/32 
  Verifying  : perl-threads-shared-1.43-6.el7.x86_64                                                            3/32 
  Verifying  : perl-Storable-2.45-3.el7.x86_64                                                                  4/32 
  Verifying  : 1:perl-Pod-Escapes-1.04-294.el7_6.noarch                                                         5/32 
  Verifying  : perl-Exporter-5.68-3.el7.noarch                                                                  6/32 
  Verifying  : perl-constant-1.27-2.el7.noarch                                                                  7/32 
  Verifying  : perl-PathTools-3.40-5.el7.x86_64                                                                 8/32 
  Verifying  : 1:perl-parent-0.225-244.el7.noarch                                                               9/32 
  Verifying  : 4:perl-libs-5.16.3-294.el7_6.x86_64                                                             10/32 
  Verifying  : groff-base-1.22.2-8.el7.x86_64                                                                  11/32 
  Verifying  : perl-File-Temp-0.23.01-3.el7.noarch                                                             12/32 
  Verifying  : 1:perl-Pod-Simple-3.28-4.el7.noarch                                                             13/32 
  Verifying  : perl-Time-Local-1.2300-2.el7.noarch                                                             14/32 
  Verifying  : gpm-libs-1.20.7-5.el7.x86_64                                                                    15/32 
  Verifying  : 2:vim-common-7.4.160-5.el7.x86_64                                                               16/32 
  Verifying  : 4:perl-macros-5.16.3-294.el7_6.x86_64                                                           17/32 
  Verifying  : perl-Socket-2.010-4.el7.x86_64                                                                  18/32 
  Verifying  : perl-Carp-1.26-244.el7.noarch                                                                   19/32 
  Verifying  : 4:perl-Time-HiRes-1.9725-3.el7.x86_64                                                           20/32 
  Verifying  : perl-Scalar-List-Utils-1.27-248.el7.x86_64                                                      21/32 
  Verifying  : perl-Pod-Usage-1.63-3.el7.noarch                                                                22/32 
  Verifying  : perl-Encode-2.51-7.el7.x86_64                                                                   23/32 
  Verifying  : perl-Pod-Perldoc-3.20-4.el7.noarch                                                              24/32 
  Verifying  : perl-podlators-2.5.1-3.el7.noarch                                                               25/32 
  Verifying  : perl-File-Path-2.09-2.el7.noarch                                                                26/32 
  Verifying  : perl-threads-1.87-4.el7.x86_64                                                                  27/32 
  Verifying  : perl-Filter-1.49-3.el7.x86_64                                                                   28/32 
  Verifying  : perl-Getopt-Long-2.40-3.el7.noarch                                                              29/32 
  Verifying  : perl-Text-ParseWords-3.29-4.el7.noarch                                                          30/32 
  Verifying  : 4:perl-5.16.3-294.el7_6.x86_64                                                                  31/32 
  Verifying  : 2:vim-filesystem-7.4.160-5.el7.x86_64                                                           32/32 

Installed:
  vim-enhanced.x86_64 2:7.4.160-5.el7                                                                                

Dependency Installed:
  gpm-libs.x86_64 0:1.20.7-5.el7                              groff-base.x86_64 0:1.22.2-8.el7                       
  perl.x86_64 4:5.16.3-294.el7_6                              perl-Carp.noarch 0:1.26-244.el7                        
  perl-Encode.x86_64 0:2.51-7.el7                             perl-Exporter.noarch 0:5.68-3.el7                      
  perl-File-Path.noarch 0:2.09-2.el7                          perl-File-Temp.noarch 0:0.23.01-3.el7                  
  perl-Filter.x86_64 0:1.49-3.el7                             perl-Getopt-Long.noarch 0:2.40-3.el7                   
  perl-HTTP-Tiny.noarch 0:0.033-3.el7                         perl-PathTools.x86_64 0:3.40-5.el7                     
  perl-Pod-Escapes.noarch 1:1.04-294.el7_6                    perl-Pod-Perldoc.noarch 0:3.20-4.el7                   
  perl-Pod-Simple.noarch 1:3.28-4.el7                         perl-Pod-Usage.noarch 0:1.63-3.el7                     
  perl-Scalar-List-Utils.x86_64 0:1.27-248.el7                perl-Socket.x86_64 0:2.010-4.el7                       
  perl-Storable.x86_64 0:2.45-3.el7                           perl-Text-ParseWords.noarch 0:3.29-4.el7               
  perl-Time-HiRes.x86_64 4:1.9725-3.el7                       perl-Time-Local.noarch 0:1.2300-2.el7                  
  perl-constant.noarch 0:1.27-2.el7                           perl-libs.x86_64 4:5.16.3-294.el7_6                    
  perl-macros.x86_64 4:5.16.3-294.el7_6                       perl-parent.noarch 1:0.225-244.el7                     
  perl-podlators.noarch 0:2.5.1-3.el7                         perl-threads.x86_64 0:1.87-4.el7                       
  perl-threads-shared.x86_64 0:1.43-6.el7                     vim-common.x86_64 2:7.4.160-5.el7                      
  vim-filesystem.x86_64 2:7.4.160-5.el7                      

Complete!
[root@013ec903747c /]# yum repolist -v
Loading "ovl" plugin
Loading "product-id" plugin
Loading "search-disabled-repos" plugin
Loading "subscription-manager" plugin
Updating Subscription Management repositories.
Unable to read consumer identity
Subscription Manager is operating in container mode.
Config time: 0.199
rpmdb time: 0.000
ovl: Copying up (0) files from OverlayFS lower layer
Yum version: 3.4.3
Setting up Package Sacks
pkgsack time: 0.007
Repo-id      : rhel-7-server-rpms/7Server/x86_64
Repo-name    : Red Hat Enterprise Linux 7 Server (RPMs)
Repo-revision: 1556596809
Repo-updated : Tue Apr 30 04:05:51 2019
Repo-pkgs    : 24120
Repo-size    : 35 G
Repo-baseurl : https://sat6.example.com/pulp/repos/Default_Organization/Library/content/dist/rhel/server/7/7Server/x86_64/os
Repo-expire  : 1 second(s) (last: Thu May  2 14:45:06 2019)
  Filter     : read-only:present
Repo-excluded: 1
Repo-filename: /etc/yum.repos.d/redhat.repo

repolist: 24120
[root@013ec903747c /]# ll /etc/pki/entitlement /etc/pki/consumer/
/etc/pki/consumer/:
total 0

/etc/pki/entitlement:
total 0
       
[root@013ec903747c /]# ll /var/run/secrets/
total 12
drwx------. 2 root root   80 May  2 14:44 etc-pki-entitlement
-rwx------. 1 root root 9840 May  2 14:44 rhel7.repo
drwx------. 4 root root  140 May  2 14:44 rhsm
[root@013ec903747c /]# ll /var/run/secrets/etc-pki-entitlement/
total 12
-rwx------. 1 root root 1675 May  2 14:44 5920836524160451215-key.pem
-rwx------. 1 root root 5085 May  2 14:44 5920836524160451215.pem      
[root@013ec903747c /]# ll /var/run/secrets/rhsm/
total 12
drwx------. 2 root root  100 May  2 14:44 ca
-rwx------. 1 root root 1662 May  2 14:44 logging.conf
drwx------. 2 root root   60 May  2 14:44 pluginconf.d
-rwx------. 1 root root 2864 May  2 14:44 rhsm.conf
-rwx------. 1 root root 2852 May  2 14:44 rhsm.conf.kat-backup

Comment 17 errata-xmlrpc 2019-08-06 12:57:25 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2019:2008


Note You need to log in before you can comment on or make changes to this bug.